/*
 * main.h - header for main file for GG's Blocks
 *      - all the application code and drawing code is in here
 *
 *    Copyright (C) 2003 Eric Cheung.
 *
 *    This file is part of GG's Blocks.
 *
 *    GG's Blocks is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    GG's Blocks is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with GG's Blocks; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 */

#ifndef _MAIN_H
#define _MAIN_H

#include <PalmOS.h>
#include "ggblocks.h"

// constants
#define DBID              'AAAA'
#define DBNAME            "Saved state"
#define CREATORID         'GNBK'

// starting high scores
#define INITIALHIGHSCORE    500
#define INITIALHIGHLEVEL    1

// time to wait after each move (in hundredths of a second)
#define MOVEDELAY           25

// resource file
#include "../build/rsc/ggblocks_res.h"

#endif 
