/*
 * ggblocks_res.h - resource definitions for ggblocks
 *
 *    Copyright (C) 2003 Eric Cheung.
 *
 *    This file is part of GG's Blocks.
 *
 *    GG's Blocks is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    GG's Blocks is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with GG's Blocks; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 */

// main form
#define MainForm                                  3100
#define MainFormLabel                             3101
#define MainFormScore                             3102
#define MainFormNextLvlAlert                      3103

// main form menu
#define MainMenuBar                               3100
#define MainGameNewGame                           3104
#define MainGameHighScore                         3105
#define MainGameTheBasics                         3106
#define MainGameAbout                             3107

// various alert screens
#define TheBasicsAlert                            3108
#define AboutAlert                                3109
#define NewHighScoreAlert                         3110
#define DisplayHighScoreAlert                     3111
#define TheBasics2Alert                           3112
#define TheBasics3Alert                           3113
#define TheBasics4Alert                           3114
#define ResetConfirmationAlert                    3115

// icons
#define NormalAppIconFamily                       1000
